Bug 540962 - [abrt] crash detected in java-1.6.0-openjdk-1:1.6.0.0-33.b16.fc12
[abrt] crash detected in java-1.6.0-openjdk-1:1.6.0.0-33.b16.fc12
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: java-1.6.0-openjdk (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Andrew Haley
Fedora Extras Quality Assurance
abrt_hash:39e22da950080a6d95b80d63a71...
:
: 524447 540898 540946 540951 540959 549781 561740 582078 595573 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-24 10:18 EST by Nikolay Bryskin
Modified: 2010-12-03 21:51 EST (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 21:51:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (145.67 KB, text/plain)
2009-11-24 10:18 EST, Nikolay Bryskin
no flags Details
File: cmdline (610 bytes, text/plain)
2009-11-24 10:18 EST, Nikolay Bryskin
no flags Details

  None (edit)
Description Nikolay Bryskin 2009-11-24 10:18:16 EST
abrt detected a crash.

Comment: I tryied to import svn project in eclipse. In last page I selected Create New Project. On last page of New Project wizard I pressed Finish and eclipse crashed.
Attached file: backtrace
Attached file: cmdline
component: java-1.6.0-openjdk
executable: /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/bin/java
kernel: 2.6.31.5-127.fc12.x86_64
package: java-1.6.0-openjdk-1:1.6.0.0-33.b16.fc12
rating: 2
reason: Process was terminated by signal 6
Comment 1 Nikolay Bryskin 2009-11-24 10:18:19 EST
Created attachment 373467 [details]
File: backtrace
Comment 2 Nikolay Bryskin 2009-11-24 10:18:22 EST
Created attachment 373468 [details]
File: cmdline
Comment 3 Nikolay Bryskin 2009-11-25 04:31:38 EST
bug resolved, here is patch:

diff --git a/pango/pango-layout.c b/pango/pango-layout.c
index 77270c2..e5d6fc2 100644
--- a/pango/pango-layout.c
+++ b/pango/pango-layout.c
@@ -268,6 +268,9 @@ pango_layout_new (PangoContext *context)
 
   layout = g_object_new (PANGO_TYPE_LAYOUT, NULL);
 
+  if (layout == 0)
+    return layout;
+
   layout->context = context;
   g_object_ref (context);
Comment 4 Karel Klíč 2009-12-15 10:26:46 EST
*** Bug 540898 has been marked as a duplicate of this bug. ***
Comment 5 Karel Klíč 2009-12-15 10:27:46 EST
*** Bug 540959 has been marked as a duplicate of this bug. ***
Comment 6 Karel Klíč 2009-12-15 10:27:49 EST
*** Bug 540951 has been marked as a duplicate of this bug. ***
Comment 7 Karel Klíč 2009-12-15 10:27:51 EST
*** Bug 540946 has been marked as a duplicate of this bug. ***
Comment 8 Deepak Bhole 2009-12-15 16:57:29 EST
Patch suggests that the bug is in Pango. Bouncing to pango team.
Comment 9 Behdad Esfahbod 2009-12-18 07:11:41 EST
Deepak, I responded to this upstream:  It makes no sense that g_object_new() returns NULL.  I *still* don't know what this bug is about.
Comment 10 Nikolay Bryskin 2009-12-19 06:23:55 EST
There is workaround for this bug: disable Assistive technologies in Gnome. My patch just removes symptoms of some bug in "gnome assistive technologies", and there is a couple of another places where openjdk crashes. I patched them all, but annoying window now appears instead of crash (when "gnome assistive technologies" is turned on). So I propose to move this bug to "gnome assistive technologies" team.
Tip: bug occurs when I close any property window in Eclipse by pressing OK button.
Comment 11 Karel Klíč 2010-02-24 11:47:00 EST
*** Bug 549781 has been marked as a duplicate of this bug. ***
Comment 12 Karel Klíč 2010-02-24 11:47:05 EST
*** Bug 561740 has been marked as a duplicate of this bug. ***
Comment 13 Karel Klíč 2010-05-25 05:56:21 EDT
*** Bug 582078 has been marked as a duplicate of this bug. ***
Comment 14 Karel Klíč 2010-05-25 05:56:25 EDT
*** Bug 595573 has been marked as a duplicate of this bug. ***
Comment 15 Ken MacLean 2010-06-10 22:53:04 EDT
Package: java-1.6.0-openjdk-1:1.6.0.0-38.b18.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. start FireFox on FC12
2. start VoxForge speech submission applet ( www.voxforge.org/read )
3. click record, and read some speech using a USB mic, click stop
4. click record again and read some speech, click stop
5. click record and applet hangs


Comment
-----
Java applet has not changed, and used to work with FC10
Comment 16 wozzeck7 2010-06-14 11:16:29 EDT
Package: java-1.6.0-openjdk-1:1.6.0.0-38.b18.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Launch Omnet++ 4.0
2. Click on "File" menu
3. It crashes !
Comment 17 Ken MacLean 2010-06-14 15:07:35 EDT
Package: java-1.6.0-openjdk-1:1.6.0.0-38.b18.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)

Reproduced on Chrome:
-----
1. start Google Chrome (5.0.375.70 beta) on FC12
2. Gnome Sound preferences - Input set to Internal Audio Analog Stereo
3. start VoxForge speech submission applet ( www.voxforge.org/read )
4. click record, wait (record silence), click stop
5. click record, wait, click stop
6. click record and applet hangs
Comment 18 Ken MacLean 2010-06-14 15:52:49 EDT
Workaround:
-----
Installed Sun's Java (jre-6u20-linux-x64-rpm) following this howto: http://www.freetechie.com/blog/installing-sun-java-on-fedora-12/ and the app  works fine on FireFox 3.5.9.
Comment 19 Ken MacLean 2010-06-14 16:14:23 EDT
After restarting Chrome, the VoxForge Speech Submission applet works on it too.
Comment 20 Omair Majid 2010-07-15 15:33:17 EDT
*** Bug 524447 has been marked as a duplicate of this bug. ***
Comment 21 Bug Zapper 2010-11-04 01:29:53 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 22 Bug Zapper 2010-12-03 21:51:04 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.